Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 974855 - [abrt] WARNING: at drivers/base/firmware_class.c:1031 _request_firmware.isra.9+0x686/0x6d0()
Summary: [abrt] WARNING: at drivers/base/firmware_class.c:1031 _request_firmware.isra....
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e039623eac389f1db87a56fdf25...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-16 15:47 UTC by ChuckV
Modified: 2016-08-01 15:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-27 16:17:41 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (89.15 KB, text/plain)
2013-06-16 15:47 UTC, ChuckV
no flags Details

Description ChuckV 2013-06-16 15:47:32 UTC
Additional info:
reporter:       libreport-2.1.4
WARNING: at drivers/base/firmware_class.c:1031 _request_firmware.isra.9+0x686/0x6d0()
Hardware name: To be filled by O.E.M.
Modules linked in: nfsv3 nfs_acl nfsv4 auth_rpcgss nfs dns_resolver fscache rfcomm fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat xt_CHECKSUM iptable_mangle bridge stp llc lockd sunrpc bnep bluetooth rfkill be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ip6t_REJECT ib_sa nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter nf_conntrack_ipv4 ip6_tables nf_defrag_ipv4 xt_conntrack nf_conntrack ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_hdmi snd_hda_codec_ca0132 snd_hda_intel snd_hda_codec acpi_cpufreq snd_hwdep mperf coretemp snd_seq snd_seq_device snd_pcm gspca_zc3xx gspca_main snd_page_alloc videodev snd_timer snd media soundcore iTCO_wdt iTCO_vendor_support lpc_ich e1000e ptp microcode pps_core mfd_core i2c_i801 mei vhost_net tun macvtap macvlan kvm_intel kvm uinput binfmt_misc usb_storage crc32_pclmul crc32c_intel i915 ghash_clmulni_intel mxm_wmi i2c_algo_bit firewire_ohci drm_kms_helper aic7xxx firewire_core drm scsi_transport_spi crc_itu_t i2c_core wmi video
Pid: 2679, comm: kworker/u:18 Not tainted 3.9.5-201.fc18.x86_64 #1
Call Trace:
 [<ffffffff8105ef85>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105efca>] warn_slowpath_null+0x1a/0x20
 [<ffffffff81408f66>] _request_firmware.isra.9+0x686/0x6d0
 [<ffffffff81409020>] request_firmware+0x10/0x20
 [<ffffffffa038918e>] ca0132_init+0x1be/0x10e0 [snd_hda_codec_ca0132]
 [<ffffffffa0395500>] ? snd_hda_codec_read+0x60/0xa0 [snd_hda_codec]
 [<ffffffffa03955e8>] ? hda_set_power_state+0xa8/0x120 [snd_hda_codec]
 [<ffffffffa0394fde>] hda_call_codec_resume+0x19e/0x1b0 [snd_hda_codec]
 [<ffffffffa0396e38>] snd_hda_resume+0x28/0x40 [snd_hda_codec]
 [<ffffffffa037dad4>] azx_resume+0xb4/0x140 [snd_hda_intel]
 [<ffffffff813309c3>] pci_pm_resume+0x73/0xd0
 [<ffffffff81330950>] ? pci_pm_restore+0xd0/0xd0
 [<ffffffff814017c8>] dpm_run_callback+0x58/0x90
 [<ffffffff8140219e>] device_resume+0xde/0x200
 [<ffffffff814022e1>] async_resume+0x21/0x50
 [<ffffffff810897f6>] async_run_entry_fn+0x46/0x140
 [<ffffffff8107b613>] process_one_work+0x173/0x3c0
 [<ffffffff8107cf3f>] worker_thread+0x10f/0x390
 [<ffffffff8107ce30>] ? busy_worker_rebind_fn+0xb0/0xb0
 [<ffffffff81082ae0>] kthread+0xc0/0xd0
 [<ffffffff81010000>] ? ftrace_define_fields_xen_mc_flush+0x20/0xb0
 [<ffffffff81082a20>] ? kthread_create_on_node+0x120/0x120
 [<ffffffff8166a22c>] ret_from_fork+0x7c/0xb0
 [<ffffffff81082a20>] ? kthread_create_on_node+0x120/0x120

Comment 1 ChuckV 2013-06-16 15:47:38 UTC
Created attachment 761854 [details]
File: dmesg

Comment 2 Josh Boyer 2013-07-01 18:03:25 UTC
This is hitting this WARN_ON:

        if (nowait) {
                timeout = usermodehelper_read_lock_wait(timeout);
                if (!timeout) {
                        dev_dbg(device, "firmware: %s loading timed out\n",
                                name);
                        ret = -EBUSY;
                        goto out;
                }
        } else {
                ret = usermodehelper_read_trylock();
                if (WARN_ON(ret)) {
                        dev_err(device, "firmware: %s will not be loaded\n",
                                name);
                        goto out;
                }
        }

So ALSA is passing nowait to _request_firmware and something else is holding the lock or the usermode helper is disabled.

Does this only happen when you resume from a suspend?

Comment 3 ChuckV 2013-07-01 19:18:55 UTC
Yes, it seems to happen every time I resume from suspend. If this is related to firewire_ohci, then the Firewire hardware is not connected when I suspend or resume when this happens...

Comment 4 Justin M. Forbes 2013-10-18 21:21:28 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.

Comment 5 Justin M. Forbes 2013-11-27 16:17:41 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.


Note You need to log in before you can comment on or make changes to this bug.